cURL
curl --request GET \ --url https://api.lidian.finance/api/v1/quotes/{id} \ --header 'x-api-key: <api-key>'
{ "message": "<string>", "data": { "quoteId": "<string>", "orderId": "<string>", "quote": { "id": "<string>", "quoteRequestId": "<string>", "liquidityProviderId": "<string>", "offerer": "<string>", "recipient": "<string>", "inputToken": "<string>", "outputToken": "<string>", "inputAmount": "<string>", "outputAmount": "<string>", "inputChain": "<string>", "outputChain": "<string>", "startTime": 123, "endTime": 123, "signingHash": "<string>", "status": "active", "createdAt": "<string>", "orderId": "<string>", "typedData": {} }, "typedData": {} } }
Get quote by ID
Documentation IndexFetch the complete documentation index at: https://docs.lidian.finance/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt
Use this file to discover all available pages before exploring further.
Quote ID
Quote retrieved successfully
Show child attributes